cURL
curl --request GET \
--url https://api.slash.com/invoice/series \
--header 'X-API-Key: <api-key>'{
"items": [
{
"$entity": "invoice_series",
"id": "<string>",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
}
],
"metadata": {
"nextCursor": "<string>",
"count": 123
}
}Invoice Series
List invoice series
List all invoice series (recurring invoice configurations) for your legal entity. Supports pagination and filtering by status, customer, and account.
GET
/
invoice
/
series
cURL
curl --request GET \
--url https://api.slash.com/invoice/series \
--header 'X-API-Key: <api-key>'{
"items": [
{
"$entity": "invoice_series",
"id": "<string>",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
}
],
"metadata": {
"nextCursor": "<string>",
"count": 123
}
}Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Query Parameters
A cursor string to fetch the next page of results
Filter invoice series by legal entity ID. Required if authenticating via bearer token with access to multiple legal entities.
Filter invoice series by status.
Available options:
active, ended, cancelled Filter invoice series by contact ID.
Filter invoice series by customer ID.
Filter invoice series by receiving account ID.
Sort invoice series by a field. Default is by status then start date.
Available options:
startDate, nextScheduledDate The direction to sort by. Defaults to DESC when sorting by startDate or nextScheduledDate, ASC otherwise.
Available options:
ASC, DESC ⌘I